(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common/http'), require('@angular/core')) :
    typeof define === 'function' && define.amd ? define('@yukawa/chain-crm-angular-core', ['exports', '@angular/common/http', '@angular/core'], factory) :
    (global = global || self, factory((global.yukawa = global.yukawa || {}, global.yukawa['chain-crm-angular-core'] = {}), global.ng.common.http, global.ng.core));
}(this, (function (exports, http, core) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */

    var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };

    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }

    var __assign = function() {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };

    function __rest(s, e) {
        var t = {};
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
            t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }

    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }

    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    }

    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
    }

    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }

    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    }

    function __createBinding(o, m, k, k2) {
        if (k2 === undefined) k2 = k;
        o[k2] = m[k];
    }

    function __exportStar(m, exports) {
        for (var p in m) if (p !== "default" && !exports.hasOwnProperty(p)) exports[p] = m[p];
    }

    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m) return m.call(o);
        if (o && typeof o.length === "number") return {
            next: function () {
                if (o && i >= o.length) o = void 0;
                return { value: o && o[i++], done: !o };
            }
        };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }

    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    }

    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }

    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    };

    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }

    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n]) i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try { step(g[n](v)); } catch (e) { settle(q[0][3], e); } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length) resume(q[0][0], q[0][1]); }
    }

    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }

    function __asyncValues(o) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function(v) { resolve({ value: v, done: d }); }, reject); }
    }

    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
        return cooked;
    };

    function __importStar(mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
        result.default = mod;
        return result;
    }

    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }

    function __classPrivateFieldGet(receiver, privateMap) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to get private field on non-instance");
        }
        return privateMap.get(receiver);
    }

    function __classPrivateFieldSet(receiver, privateMap, value) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to set private field on non-instance");
        }
        privateMap.set(receiver, value);
        return value;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * \@generator rest2ts
     * 	javaType: inc.yukawa.chain.crm.base.core.domain.Billing <br/>
     * @record
     */
    function Billing() { }
    if (false) {
        /** @type {?|undefined} */
        Billing.prototype.bankAccount;
        /** @type {?|undefined} */
        Billing.prototype.invoiceText;
        /** @type {?|undefined} */
        Billing.prototype.notes;
        /** @type {?|undefined} */
        Billing.prototype.paymentConditions;
    }
    /**
     * \@generator rest2ts
     * 	javaType: inc.yukawa.chain.crm.base.core.domain.ContactLog <br/>
     * @record
     */
    function ContactLog() { }
    if (false) {
        /** @type {?|undefined} */
        ContactLog.prototype.change;
        /**
         * 	values: email, phone<br/>
         * \@example email
         * @type {?|undefined}
         */
        ContactLog.prototype.communicationChannel;
        /** @type {?|undefined} */
        ContactLog.prototype.contactLogId;
        /** @type {?|undefined} */
        ContactLog.prototype.created;
        /**
         * @deprecated
         * @type {?|undefined}
         */
        ContactLog.prototype.dateRange;
        /** @type {?|undefined} */
        ContactLog.prototype.duration;
        /** @type {?|undefined} */
        ContactLog.prototype.info;
        /** @type {?|undefined} */
        ContactLog.prototype.location;
        /** @type {?|undefined} */
        ContactLog.prototype.notes;
        /** @type {?|undefined} */
        ContactLog.prototype.orgId;
        /** @type {?|undefined} */
        ContactLog.prototype.participants;
        /** @type {?|undefined} */
        ContactLog.prototype.projectId;
        /**
         * 	values: new, pending, done, archived<br/>
         * \@example new
         * @type {?|undefined}
         */
        ContactLog.prototype.status;
        /** @type {?|undefined} */
        ContactLog.prototype.taskId;
    }
    /**
     * \@generator rest2ts
     * 	javaType: inc.yukawa.chain.crm.base.core.domain.Participant <br/>
     * @record
     */
    function Participant() { }
    if (false) {
        /** @type {?|undefined} */
        Participant.prototype.participantId;
        /** @type {?|undefined} */
        Participant.prototype.role;
    }
    /**
     * \@generator rest2ts
     * 	javaType: inc.yukawa.chain.crm.base.core.domain.Partner <br/>
     * @record
     */
    function Partner() { }
    if (false) {
        /** @type {?|undefined} */
        Partner.prototype.billing;
        /** @type {?|undefined} */
        Partner.prototype.classification;
        /** @type {?|undefined} */
        Partner.prototype.displayName;
        /** @type {?|undefined} */
        Partner.prototype.jobDesc;
        /** @type {?|undefined} */
        Partner.prototype.masterContractAvailable;
        /** @type {?|undefined} */
        Partner.prototype.nda;
        /** @type {?} */
        Partner.prototype.orgId;
        /** @type {?|undefined} */
        Partner.prototype.partnerId;
        /**
         * 	values: person, company<br/>
         * \@example person
         * @type {?|undefined}
         */
        Partner.prototype.partnerType;
        /**
         * 	values: email, phone<br/>
         * \@example email
         * @type {?|undefined}
         */
        Partner.prototype.preferredCommunicationChannel;
        /**
         * 	values: active, inactive, blocked<br/>
         * @type {?|undefined}
         */
        Partner.prototype.status;
    }
    /**
     * \@generator rest2ts
     * 	javaType: inc.yukawa.chain.crm.base.core.domain.PartnerInfo <br/>
     * @record
     */
    function PartnerInfo() { }
    if (false) {
        /** @type {?|undefined} */
        PartnerInfo.prototype.classification;
        /** @type {?|undefined} */
        PartnerInfo.prototype.companyName;
        /** @type {?|undefined} */
        PartnerInfo.prototype.email;
        /** @type {?|undefined} */
        PartnerInfo.prototype.firstName;
        /** @type {?|undefined} */
        PartnerInfo.prototype.lastName;
        /** @type {?|undefined} */
        PartnerInfo.prototype.partnerId;
        /** @type {?|undefined} */
        PartnerInfo.prototype.partnerType;
        /** @type {?|undefined} */
        PartnerInfo.prototype.shortName;
    }
    /**
     * \@generator rest2ts
     * 	javaType: inc.yukawa.chain.crm.base.core.domain.Relation <br/>
     * @record
     */
    function Relation() { }
    if (false) {
        /** @type {?|undefined} */
        Relation.prototype.change;
        /**
         * \@example Lead, Engineer
         * @type {?|undefined}
         */
        Relation.prototype.classifier;
        /** @type {?|undefined} */
        Relation.prototype.created;
        /** @type {?|undefined} */
        Relation.prototype.relationId;
        /**
         * 	values: customer, employee, employer<br/>
         * \@example customer
         * @type {?|undefined}
         */
        Relation.prototype.role;
        /** @type {?|undefined} */
        Relation.prototype.sourcePartner;
        /** @type {?|undefined} */
        Relation.prototype.targetPartner;
    }
    /**
     * \@generator rest2ts
     * 	javaType: inc.yukawa.chain.crm.base.core.domain.Reminder <br/>
     * @record
     */
    function Reminder() { }
    if (false) {
        /** @type {?|undefined} */
        Reminder.prototype.change;
        /**
         * 	values: email, phone<br/>
         * \@example email
         * @type {?|undefined}
         */
        Reminder.prototype.communicationChannel;
        /** @type {?|undefined} */
        Reminder.prototype.created;
        /** @type {?|undefined} */
        Reminder.prototype.dueDate;
        /** @type {?|undefined} */
        Reminder.prototype.notes;
        /** @type {?|undefined} */
        Reminder.prototype.reminderId;
        /** @type {?|undefined} */
        Reminder.prototype.reminderPartnerId;
        /**
         * 	values: new, pending, done, archived<br/>
         * \@example new
         * @type {?|undefined}
         */
        Reminder.prototype.status;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * \@generator rest2ts
     * 	javaType: inc.yukawa.chain.crm.base.core.filter.ContactLogFilter <br/>
     * @record
     */
    function ContactLogFilter() { }
    if (false) {
        /** @type {?|undefined} */
        ContactLogFilter.prototype.communicationChannel;
        /** @type {?|undefined} */
        ContactLogFilter.prototype.contactLogId;
        /** @type {?|undefined} */
        ContactLogFilter.prototype.dateRange;
        /** @type {?|undefined} */
        ContactLogFilter.prototype.name;
        /** @type {?|undefined} */
        ContactLogFilter.prototype.orgId;
        /** @type {?|undefined} */
        ContactLogFilter.prototype.participantId;
        /** @type {?|undefined} */
        ContactLogFilter.prototype.shortName;
        /** @type {?|undefined} */
        ContactLogFilter.prototype.status;
    }
    /**
     * \@generator rest2ts
     * 	javaType: inc.yukawa.chain.crm.base.core.filter.PartnerFilter <br/>
     * @record
     */
    function PartnerFilter() { }
    if (false) {
        /** @type {?|undefined} */
        PartnerFilter.prototype.classification;
        /** @type {?|undefined} */
        PartnerFilter.prototype.companyName;
        /** @type {?|undefined} */
        PartnerFilter.prototype.email;
        /** @type {?|undefined} */
        PartnerFilter.prototype.firstName;
        /** @type {?|undefined} */
        PartnerFilter.prototype.lastName;
        /** @type {?|undefined} */
        PartnerFilter.prototype.mobile;
        /** @type {?|undefined} */
        PartnerFilter.prototype.orgId;
        /** @type {?|undefined} */
        PartnerFilter.prototype.partnerId;
        /** @type {?|undefined} */
        PartnerFilter.prototype.partnerType;
        /** @type {?|undefined} */
        PartnerFilter.prototype.phoneNumber;
        /** @type {?|undefined} */
        PartnerFilter.prototype.preferredCommunicationChannel;
        /** @type {?|undefined} */
        PartnerFilter.prototype.role;
    }
    /**
     * \@generator rest2ts
     * 	javaType: inc.yukawa.chain.crm.base.core.filter.RelationFilter <br/>
     * @record
     */
    function RelationFilter() { }
    if (false) {
        /** @type {?|undefined} */
        RelationFilter.prototype.relationId;
        /** @type {?|undefined} */
        RelationFilter.prototype.role;
        /** @type {?|undefined} */
        RelationFilter.prototype.sourcePartner;
        /** @type {?|undefined} */
        RelationFilter.prototype.targetOrSourceIds;
        /** @type {?|undefined} */
        RelationFilter.prototype.targetPartner;
    }
    /**
     * \@generator rest2ts
     * 	javaType: inc.yukawa.chain.crm.base.core.filter.ReminderFilter <br/>
     * @record
     */
    function ReminderFilter() { }
    if (false) {
        /** @type {?|undefined} */
        ReminderFilter.prototype.communicationChannel;
        /** @type {?|undefined} */
        ReminderFilter.prototype.dueDateRange;
        /** @type {?|undefined} */
        ReminderFilter.prototype.notes;
        /** @type {?|undefined} */
        ReminderFilter.prototype.reminderId;
        /** @type {?|undefined} */
        ReminderFilter.prototype.reminderPartnerId;
        /** @type {?|undefined} */
        ReminderFilter.prototype.status;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * \@generator rest2ts
     * 	javaType: inc.yukawa.chain.crm.partner.service.rest.ContactLogRest <br/>
     */
    var ContactLogRest = /** @class */ (function () {
        function ContactLogRest(httpService) {
            this.httpService = httpService;
        }
        ContactLogRest.decorators = [
            { type: core.Injectable }
        ];
        /** @nocollapse */
        ContactLogRest.ctorParameters = function () { return [
            { type: http.HttpClient }
        ]; };
        return ContactLogRest;
    }());
    if (false) {
        /** @type {?} */
        ContactLogRest.prototype.httpService;
    }
    /**
     * \@generator rest2ts
     * 	javaType: inc.yukawa.chain.crm.partner.service.rest.PartnerRest <br/>
     */
    var PartnerRest = /** @class */ (function () {
        function PartnerRest(httpService) {
            this.httpService = httpService;
        }
        PartnerRest.decorators = [
            { type: core.Injectable }
        ];
        /** @nocollapse */
        PartnerRest.ctorParameters = function () { return [
            { type: http.HttpClient }
        ]; };
        return PartnerRest;
    }());
    if (false) {
        /** @type {?} */
        PartnerRest.prototype.httpService;
    }
    /**
     * \@generator rest2ts
     * 	javaType: inc.yukawa.chain.crm.partner.service.rest.RelationRest <br/>
     */
    var RelationRest = /** @class */ (function () {
        function RelationRest(httpService) {
            this.httpService = httpService;
        }
        /**
         * @param {?} partnerId
         * @param {?} role
         * @param {?} traversalDir
         * @return {?}
         */
        RelationRest.prototype.traverseRelations = /**
         * @param {?} partnerId
         * @param {?} role
         * @param {?} traversalDir
         * @return {?}
         */
        function (partnerId, role, traversalDir) {
            var e_1, _a;
            /** @type {?} */
            var queryParamsList = [];
            queryParamsList.push({ name: 'partnerId', value: partnerId });
            queryParamsList.push({ name: 'role', value: role });
            queryParamsList.push({ name: 'traversalDir', value: traversalDir });
            /** @type {?} */
            var params = new http.HttpParams();
            try {
                for (var queryParamsList_1 = __values(queryParamsList), queryParamsList_1_1 = queryParamsList_1.next(); !queryParamsList_1_1.done; queryParamsList_1_1 = queryParamsList_1.next()) {
                    var queryParam = queryParamsList_1_1.value;
                    params = params.append(queryParam.name, queryParam.value);
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (queryParamsList_1_1 && !queryParamsList_1_1.done && (_a = queryParamsList_1.return)) _a.call(queryParamsList_1);
                }
                finally { if (e_1) throw e_1.error; }
            }
            return this.httpService.post('/relations/traverse', null, { params: params });
        };
        RelationRest.decorators = [
            { type: core.Injectable }
        ];
        /** @nocollapse */
        RelationRest.ctorParameters = function () { return [
            { type: http.HttpClient }
        ]; };
        return RelationRest;
    }());
    if (false) {
        /** @type {?} */
        RelationRest.prototype.httpService;
    }
    /**
     * \@generator rest2ts
     * 	javaType: inc.yukawa.chain.crm.partner.service.rest.ReminderRest <br/>
     */
    var ReminderRest = /** @class */ (function () {
        function ReminderRest(httpService) {
            this.httpService = httpService;
        }
        ReminderRest.decorators = [
            { type: core.Injectable }
        ];
        /** @nocollapse */
        ReminderRest.ctorParameters = function () { return [
            { type: http.HttpClient }
        ]; };
        return ReminderRest;
    }());
    if (false) {
        /** @type {?} */
        ReminderRest.prototype.httpService;
    }

    exports.ContactLogRest = ContactLogRest;
    exports.PartnerRest = PartnerRest;
    exports.RelationRest = RelationRest;
    exports.ReminderRest = ReminderRest;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=yukawa-chain-crm-angular-core.umd.js.map
