import { __values } from 'tslib';
import { HttpClient, HttpParams } from '@angular/common/http';
import { Injectable } from '@angular/core';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.chain.crm.base.core.domain.Billing <br/>
 * @record
 */
function Billing() { }
if (false) {
    /** @type {?|undefined} */
    Billing.prototype.bankAccount;
    /** @type {?|undefined} */
    Billing.prototype.invoiceText;
    /** @type {?|undefined} */
    Billing.prototype.notes;
    /** @type {?|undefined} */
    Billing.prototype.paymentConditions;
}
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.chain.crm.base.core.domain.ContactLog <br/>
 * @record
 */
function ContactLog() { }
if (false) {
    /** @type {?|undefined} */
    ContactLog.prototype.change;
    /**
     * 	values: email, phone<br/>
     * \@example email
     * @type {?|undefined}
     */
    ContactLog.prototype.communicationChannel;
    /** @type {?|undefined} */
    ContactLog.prototype.contactLogId;
    /** @type {?|undefined} */
    ContactLog.prototype.created;
    /**
     * @deprecated
     * @type {?|undefined}
     */
    ContactLog.prototype.dateRange;
    /** @type {?|undefined} */
    ContactLog.prototype.duration;
    /** @type {?|undefined} */
    ContactLog.prototype.info;
    /** @type {?|undefined} */
    ContactLog.prototype.location;
    /** @type {?|undefined} */
    ContactLog.prototype.notes;
    /** @type {?|undefined} */
    ContactLog.prototype.orgId;
    /** @type {?|undefined} */
    ContactLog.prototype.participants;
    /** @type {?|undefined} */
    ContactLog.prototype.projectId;
    /**
     * 	values: new, pending, done, archived<br/>
     * \@example new
     * @type {?|undefined}
     */
    ContactLog.prototype.status;
    /** @type {?|undefined} */
    ContactLog.prototype.taskId;
}
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.chain.crm.base.core.domain.Participant <br/>
 * @record
 */
function Participant() { }
if (false) {
    /** @type {?|undefined} */
    Participant.prototype.participantId;
    /** @type {?|undefined} */
    Participant.prototype.role;
}
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.chain.crm.base.core.domain.Partner <br/>
 * @record
 */
function Partner() { }
if (false) {
    /** @type {?|undefined} */
    Partner.prototype.billing;
    /** @type {?|undefined} */
    Partner.prototype.classification;
    /** @type {?|undefined} */
    Partner.prototype.displayName;
    /** @type {?|undefined} */
    Partner.prototype.jobDesc;
    /** @type {?|undefined} */
    Partner.prototype.masterContractAvailable;
    /** @type {?|undefined} */
    Partner.prototype.nda;
    /** @type {?} */
    Partner.prototype.orgId;
    /** @type {?|undefined} */
    Partner.prototype.partnerId;
    /**
     * 	values: person, company<br/>
     * \@example person
     * @type {?|undefined}
     */
    Partner.prototype.partnerType;
    /**
     * 	values: email, phone<br/>
     * \@example email
     * @type {?|undefined}
     */
    Partner.prototype.preferredCommunicationChannel;
    /**
     * 	values: active, inactive, blocked<br/>
     * @type {?|undefined}
     */
    Partner.prototype.status;
}
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.chain.crm.base.core.domain.PartnerInfo <br/>
 * @record
 */
function PartnerInfo() { }
if (false) {
    /** @type {?|undefined} */
    PartnerInfo.prototype.classification;
    /** @type {?|undefined} */
    PartnerInfo.prototype.companyName;
    /** @type {?|undefined} */
    PartnerInfo.prototype.email;
    /** @type {?|undefined} */
    PartnerInfo.prototype.firstName;
    /** @type {?|undefined} */
    PartnerInfo.prototype.lastName;
    /** @type {?|undefined} */
    PartnerInfo.prototype.partnerId;
    /** @type {?|undefined} */
    PartnerInfo.prototype.partnerType;
    /** @type {?|undefined} */
    PartnerInfo.prototype.shortName;
}
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.chain.crm.base.core.domain.Relation <br/>
 * @record
 */
function Relation() { }
if (false) {
    /** @type {?|undefined} */
    Relation.prototype.change;
    /**
     * \@example Lead, Engineer
     * @type {?|undefined}
     */
    Relation.prototype.classifier;
    /** @type {?|undefined} */
    Relation.prototype.created;
    /** @type {?|undefined} */
    Relation.prototype.relationId;
    /**
     * 	values: customer, employee, employer<br/>
     * \@example customer
     * @type {?|undefined}
     */
    Relation.prototype.role;
    /** @type {?|undefined} */
    Relation.prototype.sourcePartner;
    /** @type {?|undefined} */
    Relation.prototype.targetPartner;
}
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.chain.crm.base.core.domain.Reminder <br/>
 * @record
 */
function Reminder() { }
if (false) {
    /** @type {?|undefined} */
    Reminder.prototype.change;
    /**
     * 	values: email, phone<br/>
     * \@example email
     * @type {?|undefined}
     */
    Reminder.prototype.communicationChannel;
    /** @type {?|undefined} */
    Reminder.prototype.created;
    /** @type {?|undefined} */
    Reminder.prototype.dueDate;
    /** @type {?|undefined} */
    Reminder.prototype.notes;
    /** @type {?|undefined} */
    Reminder.prototype.reminderId;
    /** @type {?|undefined} */
    Reminder.prototype.reminderPartnerId;
    /**
     * 	values: new, pending, done, archived<br/>
     * \@example new
     * @type {?|undefined}
     */
    Reminder.prototype.status;
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.chain.crm.base.core.filter.ContactLogFilter <br/>
 * @record
 */
function ContactLogFilter() { }
if (false) {
    /** @type {?|undefined} */
    ContactLogFilter.prototype.communicationChannel;
    /** @type {?|undefined} */
    ContactLogFilter.prototype.contactLogId;
    /** @type {?|undefined} */
    ContactLogFilter.prototype.dateRange;
    /** @type {?|undefined} */
    ContactLogFilter.prototype.name;
    /** @type {?|undefined} */
    ContactLogFilter.prototype.orgId;
    /** @type {?|undefined} */
    ContactLogFilter.prototype.participantId;
    /** @type {?|undefined} */
    ContactLogFilter.prototype.shortName;
    /** @type {?|undefined} */
    ContactLogFilter.prototype.status;
}
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.chain.crm.base.core.filter.PartnerFilter <br/>
 * @record
 */
function PartnerFilter() { }
if (false) {
    /** @type {?|undefined} */
    PartnerFilter.prototype.classification;
    /** @type {?|undefined} */
    PartnerFilter.prototype.companyName;
    /** @type {?|undefined} */
    PartnerFilter.prototype.email;
    /** @type {?|undefined} */
    PartnerFilter.prototype.firstName;
    /** @type {?|undefined} */
    PartnerFilter.prototype.lastName;
    /** @type {?|undefined} */
    PartnerFilter.prototype.mobile;
    /** @type {?|undefined} */
    PartnerFilter.prototype.orgId;
    /** @type {?|undefined} */
    PartnerFilter.prototype.partnerId;
    /** @type {?|undefined} */
    PartnerFilter.prototype.partnerType;
    /** @type {?|undefined} */
    PartnerFilter.prototype.phoneNumber;
    /** @type {?|undefined} */
    PartnerFilter.prototype.preferredCommunicationChannel;
    /** @type {?|undefined} */
    PartnerFilter.prototype.role;
}
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.chain.crm.base.core.filter.RelationFilter <br/>
 * @record
 */
function RelationFilter() { }
if (false) {
    /** @type {?|undefined} */
    RelationFilter.prototype.relationId;
    /** @type {?|undefined} */
    RelationFilter.prototype.role;
    /** @type {?|undefined} */
    RelationFilter.prototype.sourcePartner;
    /** @type {?|undefined} */
    RelationFilter.prototype.targetOrSourceIds;
    /** @type {?|undefined} */
    RelationFilter.prototype.targetPartner;
}
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.chain.crm.base.core.filter.ReminderFilter <br/>
 * @record
 */
function ReminderFilter() { }
if (false) {
    /** @type {?|undefined} */
    ReminderFilter.prototype.communicationChannel;
    /** @type {?|undefined} */
    ReminderFilter.prototype.dueDateRange;
    /** @type {?|undefined} */
    ReminderFilter.prototype.notes;
    /** @type {?|undefined} */
    ReminderFilter.prototype.reminderId;
    /** @type {?|undefined} */
    ReminderFilter.prototype.reminderPartnerId;
    /** @type {?|undefined} */
    ReminderFilter.prototype.status;
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.chain.crm.partner.service.rest.ContactLogRest <br/>
 */
var ContactLogRest = /** @class */ (function () {
    function ContactLogRest(httpService) {
        this.httpService = httpService;
    }
    ContactLogRest.decorators = [
        { type: Injectable }
    ];
    /** @nocollapse */
    ContactLogRest.ctorParameters = function () { return [
        { type: HttpClient }
    ]; };
    return ContactLogRest;
}());
if (false) {
    /** @type {?} */
    ContactLogRest.prototype.httpService;
}
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.chain.crm.partner.service.rest.PartnerRest <br/>
 */
var PartnerRest = /** @class */ (function () {
    function PartnerRest(httpService) {
        this.httpService = httpService;
    }
    PartnerRest.decorators = [
        { type: Injectable }
    ];
    /** @nocollapse */
    PartnerRest.ctorParameters = function () { return [
        { type: HttpClient }
    ]; };
    return PartnerRest;
}());
if (false) {
    /** @type {?} */
    PartnerRest.prototype.httpService;
}
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.chain.crm.partner.service.rest.RelationRest <br/>
 */
var RelationRest = /** @class */ (function () {
    function RelationRest(httpService) {
        this.httpService = httpService;
    }
    /**
     * @param {?} partnerId
     * @param {?} role
     * @param {?} traversalDir
     * @return {?}
     */
    RelationRest.prototype.traverseRelations = /**
     * @param {?} partnerId
     * @param {?} role
     * @param {?} traversalDir
     * @return {?}
     */
    function (partnerId, role, traversalDir) {
        var e_1, _a;
        /** @type {?} */
        var queryParamsList = [];
        queryParamsList.push({ name: 'partnerId', value: partnerId });
        queryParamsList.push({ name: 'role', value: role });
        queryParamsList.push({ name: 'traversalDir', value: traversalDir });
        /** @type {?} */
        var params = new HttpParams();
        try {
            for (var queryParamsList_1 = __values(queryParamsList), queryParamsList_1_1 = queryParamsList_1.next(); !queryParamsList_1_1.done; queryParamsList_1_1 = queryParamsList_1.next()) {
                var queryParam = queryParamsList_1_1.value;
                params = params.append(queryParam.name, queryParam.value);
            }
        }
        catch (e_1_1) { e_1 = { error: e_1_1 }; }
        finally {
            try {
                if (queryParamsList_1_1 && !queryParamsList_1_1.done && (_a = queryParamsList_1.return)) _a.call(queryParamsList_1);
            }
            finally { if (e_1) throw e_1.error; }
        }
        return this.httpService.post('/relations/traverse', null, { params: params });
    };
    RelationRest.decorators = [
        { type: Injectable }
    ];
    /** @nocollapse */
    RelationRest.ctorParameters = function () { return [
        { type: HttpClient }
    ]; };
    return RelationRest;
}());
if (false) {
    /** @type {?} */
    RelationRest.prototype.httpService;
}
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.chain.crm.partner.service.rest.ReminderRest <br/>
 */
var ReminderRest = /** @class */ (function () {
    function ReminderRest(httpService) {
        this.httpService = httpService;
    }
    ReminderRest.decorators = [
        { type: Injectable }
    ];
    /** @nocollapse */
    ReminderRest.ctorParameters = function () { return [
        { type: HttpClient }
    ]; };
    return ReminderRest;
}());
if (false) {
    /** @type {?} */
    ReminderRest.prototype.httpService;
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { ContactLogRest, PartnerRest, RelationRest, ReminderRest };
//# sourceMappingURL=yukawa-chain-crm-angular-core.js.map
